INSTANTLOCK(1)

NAME
instantlock - simple X screen locker

SYNOPSIS
instantlock [-v] [-f] [-m message] [cmd [arg ...]]

DESCRIPTION
instantlock is a simple X screen locker. If provided, cmd [arg ...] is executed after the screen has been locked.

OPTIONS

-v  Print version information to stdout and exit.
List all valid X fonts and exit. Overrides default instantlock lock message.

SECURITY CONSIDERATIONS
To make sure a locked screen can not be bypassed by switching VTs or killing the X server with Ctrl+Alt+Backspace, it is recommended to disable both in xorg.conf(5) for maximum security:

    Section "ServerFlags"
    	Option "DontVTSwitch" "True"
    	Option "DontZap"      "True"
    EndSection

EXAMPLES
$ instantlock /usr/sbin/s2ram

CUSTOMIZATION
instantlock can be customized by creating a custom config.h from config.def.h and (re)compiling the source code. This keeps it fast, secure and simple.